Subject: Re: Request for agenda items for the IETF-68 PKIX meeting

From: "Denis Pinkas" <[email-masked]>
Date: Thu, 15 Mar 2007 12:46:28 +0100

Stefan,

Since you ask, you will find attached 6 slides.

It is a proposal for developing an Informational RFC that will be a framework 
dedicated to key compromise, key loss and key rollover.

Should this NWI be accepted, then an editing team of 3 people would be ready to progress the document.

It would be nice if Steve could present these slides, since I will not be present at the meeting.

Denis

>
>OK,
>
>This was the end of the deadline,
>
>I have only received two responses from people saying that they are not going to go to Prague.
>
>David Cooper has told me that he will not be coming and that he has nothing to present for 3280bis and SCVP.
>
>So, at this point I have no requests for agenda items.
>
>I have a number of issues that I want to have on the agenda however.
>
>- Concluding certs in CRL as accepted/rejected work item. IF rejected, should we do something else instead?
>- Updating POP options for CMC (see separate mail)
>- Finalizing the ECC algorithm document
>
>There is no updates on the ECC document so there might be nothing to present. But I would like to have a discussion at least.
>
>So, if you have anything to add, please send me a hint right away, or we will have a very short PKIX meeting.
>This is an excellent opportunity if you have a liaison presentation or similar you would like to do.
>
>
>Stefan Santesson
>Senior Program Manager
>Windows Security, Standards
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:owner-ietf-
>> [email-masked]] On Behalf Of Stefan Santesson
>> Sent: den 8 mars 2007 16:29
>> To: [email-masked]
>> Cc: Stephen Kent
>> Subject: Request for agenda items for the IETF-68 PKIX meeting
>>
>>
>> All,
>>
>> I'm requesting input to the agenda for the PKIX meeting in Prague.
>>
>> If you have anything you want to contribute to this meeting, please
>> send me a note with:
>>
>> - Subject
>> - proposed title
>> - Related document(s) if any
>> - Presenter
>> - Requested time
>>
>> I need at least one of the editors of each active PKIX document to send
>> me a note, even if you don't have anything to present.
>> I would appreciate a response with this week, but I will need it at
>> latest Wednesday next week to accommodate your request.
>>
>>
>> Thank you in advance.
>>
>> Stefan Santesson
>> Senior Program Manager
>> Windows Security, Standards
>>
>>
>>
>
>

Regards,

Denis Pinkas

---

From: Stefan Santesson <[email-masked]>
Date: Thu, 15 Mar 2007 17:36:43 +0000

I think we can accomodate this Denis,

I'll post the proposed agenda later today.

Stefan Santesson
Senior Program Manager

> From: Denis Pinkas [mailto:[email-masked]]
> Sent: den 15 mars 2007 12:46
> To: Stefan Santesson; [email-masked]
> Cc: Stephen Kent
> Subject: Re: Request for agenda items for the IETF-68 PKIX meeting
>
> Stefan,
>
> It is a proposal for developing an Informational RFC that will be a
> framework dedicated to key compromise, key loss and key rollover.
>
> >There is no updates on the ECC document so there might be nothing to
> present. But I would like to have a discussion at least.
> >
> >> I need at least one of the editors of each active PKIX document to
> >> send me a note, even if you don't have anything to present.

---

From: Masaki SHIMAOKA <[email-masked]>
Date: Tue, 20 Mar 2007 11:58:57 +0900

Hi,

Basically I would like to support the proposal of Denis though I do not
understand his proposal in the detail since I am not in Prague.

The practices for the key compromise, loss and rollover are very
important and very interesting to an operation body of existing
certification business. If necessary, I could provide some case examples
and some considerations about the key rollover, and I could act as
reviewer.

-- 
Masaki SHIMAOKA <[email-masked]>
SECOM IS Lab.
Core Technology Div.
+81 422 76 2105 (4122)

On Thu, 15 Mar 2007 12:46:28 +0100

---

From: "Turner, Sean P." <[email-masked]>
Date: Tue, 20 Mar 2007 10:52:01 +0100

Denis,

Section 4.4.2 of RFC 4210 is titled 'Verifying Certificates' - I'm pretty
sure that it and its subsections are aimed at relying parties.  Are you
saying the text is wrong or that more needs to be said?

spt 

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Denis Pinkas
> Sent: Thursday, March 15, 2007 12:46 PM
> It is a proposal for developing an Informational RFC that 
> will be a framework dedicated to key compromise, key loss and 
> key rollover.
> 
> >David Cooper has told me that he will not be coming and that 
> he has nothing to present for 3280bis and SCVP.
> >
> >- Concluding certs in CRL as accepted/rejected work item. IF 
> rejected, should we do something else instead?
> >There is no updates on the ECC document so there might be 
> nothing to present. But I would like to have a discussion at least.
> >
> >So, if you have anything to add, please send me a hint right 
> away, or we will have a very short PKIX meeting.
> >This is an excellent opportunity if you have a liaison 
> presentation or similar you would like to do.
> >
> >
> >Stefan Santesson
> >Senior Program Manager

---

From: Denis Pinkas <[email-masked]>
Date: Wed, 21 Mar 2007 11:40:05 +0100

Sean,

Section 4.4. i.e. "Root CA Key Update" is clear
enough about what a CA shall do.

Section 4.4.2 is not clear enough about root key update, so that two
root keys from the same CA

may be used at the same time. The text is currently focussed on how to
verify a certificate

whereas it should be focussed on root key rollover.

Denis

Denis,

spt

-----Original Message-----

Stefan,

Should this NWI be accepted, then an editing team of 3 people
would be ready to progress the document.

It would be nice if Steve could present these slides, since I
will not be present at the meeting.

Denis

OK,

I have only received two responses from people saying that

they are not going to go to Prague.

Stefan Santesson
Senior Program Manager

-----Original Message-----

All,

If you have anything you want to contribute to this

meeting, please

send me a note with:

- Subject
- proposed title

I need at least one of the editors of each active PKIX document to
send me a note, even if you don't have anything to present.
I would appreciate a response with this week, but I will

need it at

Thank you in advance.

Stefan Santesson
Senior Program Manager

Regards,

Denis Pinkas

---

From: "Turner, Sean P." <[email-masked]>
Date: Wed, 21 Mar 2007 13:56:01 +0100

Steve clarified the point you were trying to make.
 
spt

  _____  

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Denis Pinkas
Sent: Wednesday, March 21, 2007 11:40 AM
To: [email-masked]
Cc: 'Stefan Santesson'; [email-masked]; 'Stephen Kent'
Subject: Re: Request for agenda items for the IETF-68 PKIX meeting

Sean,

Section 4.4. i.e. "Root CA Key Update" is clear enough about what a CA shall
do.

Section 4.4.2 is not clear enough about root key update, so that two root
keys from the same CA 
may be used at the same time. The text is currently focussed on how to
verify a certificate 
whereas it should be focussed on root key rollover.

Denis

Denis,

spt 

-----Original Message-----

Cc: Stephen Kent

Stefan,

key rollover.

Denis

OK,

Stefan Santesson

Senior Program Manager

      

-----Original Message-----

To: [email-masked]

Cc: Stephen Kent

All,

meeting, please 

send me a note with:

- Subject

- proposed title

- Presenter

- Requested time

need it at 

Thank you in advance.

Stefan Santesson

Senior Program Manager

        

Regards,

Denis Pinkas